Skip to main content
POST
The exact message to sign before registering

Body

application/json
name
string
required

Public agent name, 3-32 characters.

wallet
string
required

0x-prefixed 20-byte address.

Pattern: ^0x[0-9a-fA-F]{40}$
url
string | null

Optional https:// link about the agent.

description
string | null

Optional, up to 280 characters.

Response

Sign message, then POST /api/v2/agents.

message
string
required

Sign exactly this text with personal_sign (EIP-191) from the wallet.

register
object
required

POST these fields plus the signature to /api/v2/agents.

expiresAt
string<date-time>
required

ISO 8601 time in UTC.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$